(* the il is the highest-level complete representation of a package. *)
(* all defaults have been filled in, and this should be sorta independent
   of pkgsrc. *)
type t = {
    name: string; (* just the name, no "category-" *)
    version: string;
    revision: int;
    category: Common.category;
    depends: Common.dep list;
    build_depends: Common.dep list;
    sources_site: string;
    sources_basename: string;
    sources_extension: string;
    sources_unpacksto: string;
    homepage: string;
    maintainer: string;
    short_desc: string;
    long_desc: string;
    options: Common.options list;
    docfiles: string list;
    confopts: Common.confopt list;
    all_target: string;
    opt_target: string;

    specfile: string;
    patches: string list;
    filesdir: string option;
}
